Application: gvSIG desktop - gvSIG feature requests #5150
Deseleccionar solo se activa cuando hay capas activas
11/16/2019 01:50 AM - Oscar Martinez

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Oscar Martinez

Category:

Target version: 2.5.1-3001 (rev. org.gvsig.deskiop-2.0.259)

gvSIG version: 25.0 Add-on resolve version:
Keywords: Add-on resolve build:

Has patch: Proyecto:

Add-on name: Unknown Hito:

Add-on version:

Description

Comportamiento anterior:
- Cuando hay una capa activa con seleccién se activa
- Cuando hay varias capas activas con seleccion se activa

Comportamiento afiadido actual:
- Cuando no hay ninguna capa activa pero alguna de la Vista tiene seleccion, se activa.

Resultado:
- Permite eliminar la seleccion de todas las capas de la Vista si no se tiene ninguna capa activa
- Si esta activo significa que alguna capa de la Vista tiene alguna seleccion

Associated revisions

Revision 44600 - 11/16/2019 02:17 PM - Oscar Martinez

refs #5143, #5150 Herramienta se activa cuando esta en grupo y cuando no hay ninguna capa activa

History

#1 - 11/16/2019 01:54 AM - Oscar Martinez

Oscar Martinez wrote:

Comportamiento anterior:
- Cuando hay una capa activa con seleccion se activa
- Cuando hay varias capas activas con seleccion se activa

Comportamiento afadido actual:
- Cuando no hay ninguna capa activa pero alguna de la Vista tiene seleccion, se activa.

Resultado:
- Permite eliminar la seleccién de todas las capas de la Vista si no se tiene ninguna capa activa

- Si esta activo cuando no hay ninguna capa activa, significa que alguna capa de la Vista tiene alguna seleccion

#2 - 11/16/2019 01:57 AM - Oscar Martinez
Afado a la descripcién anterior.

El comportamiento anterior también permanece:

- El boton permanecera DESACTIVADO si la capa activa no tiene seleccion

- El boton permanecera DESACTIVADO si las capas activas no tienen seleccion

Solo se modifica el comportamiento cuando NO HAY capas activas.
#3 - 11/16/2019 02:19 PM - Oscar Martinez
- Status changed from New to Fixed

#4 - 03/04/2020 10:51 AM - Alvaro Anguix
- Status changed from Fixed to Closed
